%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

%global         with_python2 0

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libsmdev
Version:	20200210
Release:	1%{?dist}
Summary:	Library to access and read storage media (SM) devices
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libsmdev/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libsmdev is library to access and read storage media (SM) devices

%package devel
Summary:	Header files and libraries for developing applications for libsmdev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libsmdev.


%package tools
Summary:	Several tools for accessing optical disc table of contents (TOC) files
Group:		Applications/System
Requires:	%{name} = %{version}-%{release} 

%description tools
Several tools for accessing storage media (SM) devices

%if 0%{?with_python2}
%package python2
Summary:	Python 2 bindings for libsmdev
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python2
BuildRequires:	python2-devel
Obsoletes:	%{name}-python < %{version}
Provides:	%{name}-python = %{version}

%description python2
Python 2 bindings for libsmdev
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libsmdev
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%if ! 0%{?with_python2}
Obsoletes:	%{name}-python2 <= %{version}
%endif

%description python%{python3_pkgversion}
Python 3 bindings for libsmdev
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%if 0%{?with_python2}
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
%else
%if 0%{?with_python3}
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python3
%endif
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/smdevinfo
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Mon Feb 10 2020 Lawrence R. Rogers <lrr@cert.org> 20200210-1
* Release 20200210-1
	Version 20200210
	Python 2 version is now optional and off by default.

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Tue Nov 12 2019 Lawrence R. Rogers <lrr@cert.org> 20191112-1
* Release 20191112-1
	Version 20191112

* Sun Nov  3 2019 Lawrence R. Rogers <lrr@cert.org> 20191103-1
* Release 20191103-1
	Version 20191103

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20190315-3
* Release 20190315-3
	Version 20190315-3: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20190315-2
* Release 20190315-2
        Release 2 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Fri Mar 15 2019 Lawrence R. Rogers <lrr@cert.org> 20190315-1
* Release 20190315-1
	Version 20190315

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org) 20181215-1
* Release 20181215-1
	Version 20181215.

* Sun Nov 12 2017 Lawrence R. Rogers <lrr@cert.org) 20171112-1
* Release 20171112-1
	Version 20171112.

* Sun Nov  5 2017 Lawrence R. Rogers <lrr@cert.org) 20171105-1
* Release 20171105-1
	Version 20171105.

* Wed Jan 25 2017 Lawrence R. Rogers <lrr@cert.org) 20170225-1
* Release 20170225-1
	Version 20170225.

* Sun Mar 20 2016 Lawrence R. Rogers <lrr@cert.org) 20160320-1
* Release 20160320-1
	20160320
	* worked on support for devices without bytes per sector support e.g. /dev/zero

	20160111
	* Changes to Python bindings

* Sat Jan  9 2016 Lawrence R. Rogers <lrr@cert.org) 20160109-1
* Release 20160109-1
	20160109
	* worked on Python 3 support
	* fixes for rpmbuild

	20160108
	* 2016 update
	* worked on Python 3 support

* Sat Dec 19 2015 Lawrence R. Rogers <lrr@cert.org) 20151219-1
* Release 20151219-1
	20151219
	* updated dependencies

* Wed Dec 16 2015 Lawrence R. Rogers <lrr@cert.org) 20151216-1
* Release 20151216-1
	20151216
	* block aligned read now enabled by default

	20150905
	* updated dependencies

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org) 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org) 20150105-1
* Release 20150105-1
	20150105
	* 2015 update
	* fixed copyright in pysmdev/pysmdev_handle.c

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141225
	* worked on Python 3 support

	20141129
	* code clean up

	20141027
	* changes for deployment

* Tue Oct 21 2014 Lawrence R. Rogers <lrr@cert.org) 20141021-1
* Release 20141021-1
	20141021
	* changes for deployment

* Sat Oct  4 2014 Lawrence R. Rogers <lrr@cert.org) 20141004-1
* Release 20141004-1
	20141004
	* bug fix in Python-bindings

	20140928
	* removed README.macosx
	* changes for project site move

* Thu Jul  3 2014 Lawrence R. Rogers <lrr@cert.org) 20140803-1
* Release 20140803-1
	20140803
	* bug fix in Python-bindings

	20140728
	* updated python.m4
	* updated dpkg files

* Fri May 30 2014 Joachim Metz <joachim.metz@gmail.com> 20140529-1
	Initial release
